Description

Currently, there are 2 ways to check/uncheck a group/fieldset with checkboxes:

1. Using the green tick icon in screens like:

- New member modal

- Workflow, tab Status transitions

2. Using the explicit links "Check All/Uncheck All" in screens like

- New tracker form

- New custom field form

These 2 patches propose to replace the explicit links from the above mentioned screens (point 2) with the toggle feature.

In this way, will have a unique and consistent way to check/uncheck a group of checkboxes  across the application.

I chose to use the version with the green tick because it requires less space than the explicit links and it fits better.

I'm not saying that the green tick is the best option, but this is an ongoing discussion (#27678).

Related issues:

Related to Redmine - Patch #27678: Make "Check all / Uncheck all" link notice... New

Related to Redmine - Defect #28079: The green tick is positioned after the la... Closed

Related to Redmine - Patch #28242: Add toggle checkboxes link (green tick) to... Closed

Associated revisions

Revision 17318 - 2018-04-29 11:57 - Go MAEDA

Replace check_all_links in new tracker form with toogle_checkboxes_link (#27807).

Patch by Marius BALTEANU.

Revision 17319 - 2018-04-29 11:58 - Go MAEDA

Replace check_all_links in new custom field form with toogle_checkboxes_link (#27807).

Patch by Marius BALTEANU.

History

#1 - 2017-12-16 11:08 - Marius BĂLTEANU

- Tracker changed from Defect to Patch

#2 - 2017-12-16 11:08 - Marius BĂLTEANU

- File Screen Shot 2017-12-16 at 12.04.52.png added

- File Screen Shot 2017-12-16 at 12.05.07.png added

- File Screen Shot 2017-12-16 at 12.05.33.png added

- File Screen Shot 2017-12-16 at 12.05.42.png added

- File Screen Shot 2017-12-16 at 12.05.54.png added

Some screenshots

#3 - 2017-12-16 11:10 - Marius BĂLTEANU
- Related to Patch #27678: Make "Check all / Uncheck all" link noticeable added

#4 - 2018-01-09 09:28 - Mizuki ISHIKAWA

+1

I think that this change will improve usability.

#5 - 2018-01-26 00:50 - Marius BĂLTEANU

- Related to Defect #28079: The green tick is positioned after the label in the new member modals  added

#6 - 2018-02-22 21:28 - Marius BĂLTEANU

I'm removing patches 0007 and 0008 because were committed in #28079.

#7 - 2018-02-22 21:28 - Marius BĂLTEANU

- File deleted (0007-use-regular-icon-icon-checked-classes.patch)

#8 - 2018-02-22 21:28 - Marius BĂLTEANU

- File deleted (0008-fix-icon-position-in-new-member-modal.patch)

#9 - 2018-02-25 07:30 - Go MAEDA

I agree to fix the problem that green tick icons are missing on some pages.

But I am worried that patch 0005 and 0006, which delete existing UI elements, may cause confusion for users because the green tick icons are not so

noticeable as Mizuki mentioned in #27678.

#10 - 2018-02-25 15:54 - Marius BĂLTEANU

- Description updated

I've moved the patches that add the toggle checkboxes feature (the green tick) to several screens to this ticket (#28242).

In this one we can discuss more about replacing the "Check all | Uncheck all" links with the same toggle checkboxes mechanism in order to a have a

unique an consistent way to check/uncheck a group of checkboxes across the application

#11 - 2018-02-25 15:55 - Marius BĂLTEANU

- Related to Patch #28242: Add toggle checkboxes link (green tick) to several screens   added

#12 - 2018-02-25 15:55 - Marius BĂLTEANU

- File deleted (0001-adds-toogle-checkboxes-to-activities-tab-from-projec.patch)

#13 - 2018-02-25 15:55 - Marius BĂLTEANU

- File deleted (0003-adds-toogle-checkboxes-to-project-modules-from-proje.patch)

#14 - 2018-02-25 15:55 - Marius BĂLTEANU

- File deleted (0002-adds-toogle-checkboxes-to-trackers-and-custom-fields.patch)

#15 - 2018-02-25 15:55 - Marius BĂLTEANU

- File deleted (0004-adds-toogle-checkboxes-feature-to-roles-permissions.patch)

#16 - 2018-02-25 15:55 - Marius BĂLTEANU

- File deleted (Screen Shot 2017-12-16 at 12.04.52.png)

#17 - 2018-02-25 15:55 - Marius BĂLTEANU

- File deleted (Screen Shot 2017-12-16 at 12.05.07.png)

#18 - 2018-02-25 15:55 - Marius BĂLTEANU

- File deleted (Screen Shot 2017-12-16 at 12.05.33.png)

#19 - 2018-03-11 02:49 - Go MAEDA

- Target version set to 4.1.0
#20 - 2018-04-29 12:00 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for your contribution.

Files

0005-replace-check_all_links-in-new-tracker-form-with-too.patch 1.25 KB 2017-12-16 Marius BĂLTEANU

0006-replace-check_all_links-in-new-custom-field-form-wit.patch 2.06 KB 2017-12-16 Marius BĂLTEANU

Screen Shot 2017-12-16 at 12.05.42.png 53 KB 2017-12-16 Marius BĂLTEANU

Screen Shot 2017-12-16 at 12.05.54.png 74.2 KB 2017-12-16 Marius BĂLTEANU
